Skip to content
Permalink
Browse files

appveyor: set TOXENV separately for each python version

Builds are failing on appveyor because it's trying to install `noiseprotocol`
all the time, when it's only installable under py3.

Thanks to @Julian and julian/jsonschema 's .appveyor for the hints.
  • Loading branch information...
warner committed May 5, 2019
1 parent 9e4e085 commit 2d079e12e685e4d49e9a7d9c7091b13e3655870f
Showing with 8 additions and 1 deletion.
  1. +8 −1 .appveyor.yml
@@ -12,13 +12,20 @@ environment:
# For Python versions available on Appveyor, see
# http://www.appveyor.com/docs/installed-software#python
- PYTHON: "C:\\Python27"
TOXENV: py27-nodilate
- PYTHON: "C:\\Python27-x64"
DISTUTILS_USE_SDK: "1"
TOXENV: py27-nodilate
- PYTHON: "C:\\Python35"
TOXENV: py35
- PYTHON: "C:\\Python35-x64"
TOXENV: py35
- PYTHON: "C:\\Python36"
TOXENV: py36
- PYTHON: "C:\\Python36-x64"
TOXENV: py36
- PYTHON: "C:\\Python37-x64"
TOXENV: py37

matrix:
allow_failures:
@@ -42,7 +49,7 @@ test_script:
# the interpreter you're using - Appveyor does not do anything special
# to put the Python evrsion you want to use on PATH.
- |
misc\windows-build.cmd %PYTHON%\Scripts\tox.exe -e py
misc\windows-build.cmd %PYTHON%\Scripts\tox.exe
after_test:
# This step builds your wheels.

0 comments on commit 2d079e1

Please sign in to comment.
You can’t perform that action at this time.